/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 neuron <neuron@hollowtube.mine.nu>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include "../../src/initng.h"


#include <stdio.h>
#include <stdlib.h>                         /* free() exit() */
#include <string.h>
#include <assert.h>
/*#include <time.h> */

/*
   #include "../../src/initng_handler.h"
   #include "../../src/initng_global.h"
   #include "../../src/initng_plugin_hook.h"
   #include "../../src/initng_common.h"
   #include "../../src/initng_toolbox.h"
   #include "../../src/initng_static_data_id.h"
   #include "../../src/initng_static_states.h"
   #include "../../src/initng_static_service_types.h"
 */

int module_init(int api_version)
{
    D_("module_init();\n");
    if (api_version != API_VERSION)
    {
        F_("This module is compiled for api_version %i version and initng is compiled on %i version, won't load this module!\n", INITNG_VERSION, api_version);
        return (FALSE);
    }

    return (TRUE);
}

void module_unload(void)
{
    D_("module_unload();\n");
}
